SDL_memcpy(3)

NAME
SDL_memcpy - Copy non-overlapping memory.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_memcpy(void *dst, const void *src, size_t len);

DESCRIPTION
The memory regions must not overlap. If they do, use

SDL_memmove () instead.

FUNCTION PARAMETERS

dst The destination memory region. Must not be NULL, and must not overlap with src .

src The source memory region. Must not be NULL, and must not overlap with dst .

len The length in bytes of both dst and src .

RETURN VALUE
Returns dst .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_memmove(3)